Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/wizard/MyPageTwo.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/wizard/MyPageTwo.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/wizard/MyPageTwo.java	(revision 3849)
@@ -33,11 +33,11 @@
 
 	  public MyPageTwo() {
 
-	    super("Second Page");
+	    super("Second Page"); //$NON-NLS-1$
 
-	    setTitle("Second Page");
+	    setTitle("Second Page"); //$NON-NLS-1$
 
-	    setDescription("Now this is the second page");
+	    setDescription("Now this is the second page"); //$NON-NLS-1$
 
 	    setControl(text1);
 
@@ -59,13 +59,13 @@
 
 	    Label label1 = new Label(container, SWT.NONE);
 
-	    label1.setText("Say hello to Fred");
+	    label1.setText("Say hello to Fred"); //$NON-NLS-1$
 
 
 
 	    text1 = new Text(container, SWT.BORDER | SWT.SINGLE);
 
-	    text1.setText("");
+	    text1.setText(""); //$NON-NLS-1$
 
 	    text1.addKeyListener(new KeyListener() {
 
@@ -103,7 +103,7 @@
 
 	    Label labelCheck = new Label(container, SWT.NONE);
 
-	    labelCheck.setText("This is a check");
+	    labelCheck.setText("This is a check"); //$NON-NLS-1$
 
 	    Button check = new Button(container, SWT.CHECK);
 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/RecoverCorporaFromInstalls.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/RecoverCorporaFromInstalls.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/RecoverCorporaFromInstalls.java	(revision 3849)
@@ -68,7 +68,7 @@
 
 		File corporaDir = new File(txmhomedir, "corpora"); //$NON-NLS-1$
 
-		String previousVersions[] = { "0.8.2", "0.8.1", "0.8.0", "0.7.9" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		String previousVersions[] = { "0.8.2", "0.8.1", "0.8.0", "0.7.9" }; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		String previousVersionLabels[] = new String[previousVersions.length];
 		File previousVersionCorporaDirectories[] = new File[previousVersions.length];
 
@@ -106,7 +106,7 @@
 		for (int i = 0; i < previousVersions.length; i++) {
 			if (previousVersionCorporaDirectories[i].exists()
 					&& previousVersionCorporaDirectories[i].listFiles(IOUtils.HIDDENFILE_FILTER).length > 0) {
-				previousVersionLabels[i] = "" + (n++) + ". " + previousVersionLabels[i];
+				previousVersionLabels[i] = "" + (n++) + ". " + previousVersionLabels[i]; //$NON-NLS-1$ //$NON-NLS-2$
 				selectedCorporaDirs.add(previousVersionLabels[i]); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportClipboardText.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportClipboardText.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/ImportClipboardText.java	(revision 3849)
@@ -106,7 +106,7 @@
 			
 			String lang = TBXPreferences.getInstance().getString(TBXPreferences.CLIPBOARD_IMPORT_DEFAULT_LANG);
 			boolean askLang = TBXPreferences.getInstance().getBoolean(TBXPreferences.CLIPBOARD_IMPORT_ASK_LANG);
-			List<String> langs = Arrays.asList("fr", "en");
+			List<String> langs = Arrays.asList("fr", "en"); //$NON-NLS-1$ //$NON-NLS-2$
 			//ComboDialog dialog = new ComboDialog(HandlerUtil.getActiveShell(event), TXMUIMessages.SelectTheImportLanguageToUse, TXMUIMessages.WhatLanguageMustBeUsedToImportTheClipboardContent, lang);
 			ComboDialog dialog = new ComboDialog(HandlerUtil.getActiveShell(event), TXMUIMessages.textLanguage, langs, lang, SWT.SINGLE);
 			if (askLang) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/PrintHexacode.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/PrintHexacode.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/commands/editor/PrintHexacode.java	(revision 3849)
@@ -85,7 +85,7 @@
 				}
 				
 				for (int i = 0 ; i < text.length() ; i++) {
-					System.out.println("c="+text.charAt(i)+"	x="+Integer.toHexString(text.charAt(i)) + " name="+Character.getName(text.charAt(i)));				
+					System.out.println("c="+text.charAt(i)+"	x="+Integer.toHexString(text.charAt(i)) + " name="+Character.getName(text.charAt(i)));				 //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				}
 			}
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchWindowAdvisor.java	(revision 3849)
@@ -203,7 +203,7 @@
 		}
 		
 		if (notSaved.size() > 0) {
-			if (mess.length() > 0) mess.append("\n\n");
+			if (mess.length() > 0) mess.append("\n\n"); //$NON-NLS-1$
 			mess.append(TXMUIMessages.SomeAnnotationsAreNotSavedAndWillBeLostAfterTXMIsClosed);
 			for (CorpusBuild corpus : notSaved.keySet())  {
 				mess.append("\n- "+corpus.getName()+": "+corpus.getSimpleDetails()); //$NON-NLS-1$ //$NON-NLS-2$
@@ -215,10 +215,10 @@
 		}
 		
 		if (altered.size() > 0 || notSaved.size() > 0) {
-			String title = "";
+			String title = ""; //$NON-NLS-1$
 			if (altered.size() > 0) title += TXMUIMessages.SomeResultHaveBeenManuallyModified;
 			if (notSaved.size() > 0) {
-				if (title.length() > 0) title += " & ";
+				if (title.length() > 0) title += " & "; //$NON-NLS-1$
 				title += TXMUIMessages.SomeAnnotationsAreNotSaved;
 			}
 			
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/ApplicationWorkbenchAdvisor.java	(revision 3849)
@@ -199,7 +199,7 @@
 
 						// CREATE THE CLOSE CONTROL FILE
 						String rootPath = Platform.getInstanceLocation().getURL().toURI().getPath();
-						lockFile = new File(rootPath, "txm_was_not_closed_correctly.lock");
+						lockFile = new File(rootPath, "txm_was_not_closed_correctly.lock"); //$NON-NLS-1$
 						Log.fine("Lock file path: "+lockFile);
 						if (lockFile.exists()) { // the close control file was not deleted //$NON-NLS-1$
 							lockFile.delete(); //$NON-NLS-1$
@@ -216,7 +216,7 @@
 									public void run() {
 										int choice = MessageDialog.open(MessageDialog.QUESTION_WITH_CANCEL, Display.getDefault().getActiveShell(),
 												TXMUIMessages.warning, 
-												TXMUIMessages.TXMWasNotCorrectlyStopped+"\n"+NLS.bind(TXMUIMessages.DoYouWantToStartADiagnosticOfYourCorporaEtc, checkupResultFile)
+												TXMUIMessages.TXMWasNotCorrectlyStopped+"\n"+NLS.bind(TXMUIMessages.DoYouWantToStartADiagnosticOfYourCorporaEtc, checkupResultFile) //$NON-NLS-1$
 												, SWT.NONE, new String[] {TXMUIMessages.Cancel, TXMUIMessages.OK, TXMUIMessages.OKOpenTheDiagnosticFile});
 
 										if (choice != 0) {
@@ -233,7 +233,7 @@
 						lockFile.createNewFile(); //$NON-NLS-1$
 
 						String s = getVersionLevel();
-						if ("STABLE".equals(RCPPreferences.getInstance().getString(RCPPreferences.UPDATE_LEVEL)) && s.length() == 0) {
+						if ("STABLE".equals(RCPPreferences.getInstance().getString(RCPPreferences.UPDATE_LEVEL)) && s.length() == 0) { //$NON-NLS-1$
 							Log.info(TXMUIMessages.info_txmIsReady);
 						} else {
 							String s2 = TXMUIMessages.youAreUsingAnAlphaBetaVersionOfTXMItIsNotRecommendedToUseItForYourWork;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/testers/ExpertEnabled.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/testers/ExpertEnabled.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/testers/ExpertEnabled.java	(revision 3849)
@@ -6,7 +6,7 @@
 public class ExpertEnabled extends PropertyTester {
 
 	public static final String PROPERTY_NAMESPACE = "org.txm.rcp.testers"; //$NON-NLS-1$
-	public static final String PROPERTY_EXPERT_ENABLED = "ExpertEnabled";
+	public static final String PROPERTY_EXPERT_ENABLED = "ExpertEnabled"; //$NON-NLS-1$
 	
 	@Override
 	public boolean test(Object receiver, String property, Object[] args,
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/testers/IsXTZCorpus.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/testers/IsXTZCorpus.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/testers/IsXTZCorpus.java	(revision 3849)
@@ -9,7 +9,7 @@
 public class IsXTZCorpus extends PropertyTester {
 
 	public static final String PROPERTY_NAMESPACE = "org.txm.rcp.testers.corpus"; //$NON-NLS-1$
-	public static final String PROPERTY_CAN_SAVE = "xtzCorpus";
+	public static final String PROPERTY_CAN_SAVE = "xtzCorpus"; //$NON-NLS-1$
 	
 	@Override
 	public boolean test(Object receiver, String property, Object[] args,
@@ -25,7 +25,7 @@
 			CQPCorpus c = (CQPCorpus) receiver;
 			String script = c.getProject().getImportModuleName();
 			if (script == null) return false;
-			return script.startsWith("xtz");
+			return script.startsWith("xtz"); //$NON-NLS-1$
 		}
 		return false;
 	}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/testers/ToolboxTester.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/testers/ToolboxTester.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/testers/ToolboxTester.java	(revision 3849)
@@ -34,12 +34,12 @@
 			Object expectedValue) {
 		if (PROPERTY_STATE_ENGINE_READY.equals(property)) {
 			//System.out.println("TEST: "+property+" = "+Toolbox.getEngineManager(EngineType.STAT).getEngine("R").getState()); //$NON-NLS-1$ //$NON-NLS-2$
-			return Toolbox.getEngineManager(EngineType.STATS).getEngine("R").isRunning();
+			return Toolbox.getEngineManager(EngineType.STATS).getEngine("R").isRunning(); //$NON-NLS-1$
 		} else if (PROPERTY_SEARCH_ENGINE_READY.equals(property)) {
 			System.out.println("TEST: "+property+" = "+CQPSearchEngine.isInitialized()); //$NON-NLS-1$ //$NON-NLS-2$
 			return CQPSearchEngine.isInitialized();
 		} else if (PROPERTY_COMPUTABLE.equals(property)) {
-			System.out.println("TEST: receiver="+receiver+" property="+property+" args="+args+" expectedValue="+expectedValue); //$NON-NLS-1$ //$NON-NLS-2$
+			System.out.println("TEST: receiver="+receiver+" property="+property+" args="+args+" expectedValue="+expectedValue); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 			return false;
 		} else if (PROPERTY_PERSISTABLE.equals(property)) {
 			if (receiver == null) return false;
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/corpuswizard/ImportWizard.java	(revision 3849)
@@ -89,7 +89,7 @@
 					project = new Project(Toolbox.workspace, name);
 				}
 				project.setSourceDirectory(path.getAbsolutePath());
-				project.setDescription(NLS.bind(TXMUIMessages.DashImportedByP0, System.getProperty("user.name"))); //$NON-NLS-2$
+				project.setDescription(NLS.bind(TXMUIMessages.DashImportedByP0, System.getProperty("user.name"))); //$NON-NLS-2$ //$NON-NLS-1$
 				project.setLang(Locale.getDefault().getLanguage().toLowerCase());
 				
 				project.getEditionDefinition("default").setEnableCollapsible(false); //$NON-NLS-1$
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorpusViewContentProvider.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorpusViewContentProvider.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorpusViewContentProvider.java	(revision 3849)
@@ -158,7 +158,7 @@
 			
 			// add projects of corpora projects & not the corpora project & not open
 			IWorkspace rcpWorkspace = ResourcesPlugin.getWorkspace();
-			IProject corporaDirectory = rcpWorkspace.getRoot().getProject("corpora");
+			IProject corporaDirectory = rcpWorkspace.getRoot().getProject("corpora"); //$NON-NLS-1$
 			String path = corporaDirectory.getLocation().toOSString();
 			IProject projects[];
 			projects = rcpWorkspace.getRoot().getProjects();
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorporaView.java	(revision 3849)
@@ -206,7 +206,7 @@
 		treeViewer = new TreeViewer(parent, SWT.MULTI | SWT.H_SCROLL | SWT.V_SCROLL);
 		PlatformUI.getWorkbench().getHelpSystem().setHelp(treeViewer.getControl(), TXMUIMessages.corpus);
 		getSite().setSelectionProvider(treeViewer);
-		treeViewer.setColumnProperties(new String[] { "name" }); // mandatory to enable edit mode -> used to identify columns
+		treeViewer.setColumnProperties(new String[] { "name" }); // mandatory to enable edit mode -> used to identify columns //$NON-NLS-1$
 		
 		
 		// ColumnViewerEditorActivationStrategy actSupport = new ColumnViewerEditorActivationStrategy(treeViewer) {
@@ -398,7 +398,7 @@
 		for (int i = 0; i < cmds.length; i++) {
 			try {
 				if (cmds[i].getReturnType() != null) { // RCP hack using the command return type to associate the selection class with the command
-					Log.fine("CorporaView.createPartControl(): registering command " + cmds[i].getId() + " for TXMResult of type " + cmds[i].getReturnType().getId() + ".");
+					Log.fine("CorporaView.createPartControl(): registering command " + cmds[i].getId() + " for TXMResult of type " + cmds[i].getReturnType().getId() + "."); //$NON-NLS-3$
 					doubleClickInstalledCommands.put(cmds[i].getReturnType().getId(), cmds[i].getId());
 				}
 			}
@@ -514,8 +514,8 @@
 		});
 		
 		final int IMAGE_MARGIN = 2;
-		final Image icon = IImageKeys.getImage("icons/decorators/bullet_green.png");
-		final Image icon_lock = IImageKeys.getImage("icons/decorators/lock.png");
+		final Image icon = IImageKeys.getImage("icons/decorators/bullet_green.png"); //$NON-NLS-1$
+		final Image icon_lock = IImageKeys.getImage("icons/decorators/lock.png"); //$NON-NLS-1$
 		
 		// FIXME: test to show icon for results that are user persistable
 		// final Image icon = AbstractUIPlugin.imageDescriptorFromPlugin("org.eclipse.gef","platform:/plugin/org.eclipse.gef/org/eclipse/gef/internal/icons/pinned.gif").createImage();
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorpusViewLabelProvider.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorpusViewLabelProvider.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/corpora/CorpusViewLabelProvider.java	(revision 3849)
@@ -20,10 +20,10 @@
 		
 		String txt = super.getText(element);
 		if (txt != null && txt.length() > TXMEditor.MAX_NAME_LENGTH) {
-			txt = txt.substring(0, TXMEditor.MAX_NAME_LENGTH - 1) + "...";
+			txt = txt.substring(0, TXMEditor.MAX_NAME_LENGTH - 1) + "..."; //$NON-NLS-1$
 		}
 		
-		return txt.replace("\n", " ");
+		return txt.replace("\n", " "); //$NON-NLS-1$ //$NON-NLS-2$
 	}
 
 	@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/EnginesDebugView.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/EnginesDebugView.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/EnginesDebugView.java	(revision 3849)
@@ -137,11 +137,11 @@
 			@Override
 			public String getText(Object element) {
 				if (element instanceof Engine) {
-					return ((Engine)element).getName() + (((Engine)element).isRunning()?" OK":" KO");
+					return ((Engine)element).getName() + (((Engine)element).isRunning()?" OK":" KO"); //$NON-NLS-1$ //$NON-NLS-2$
 				} else if (element instanceof EnginesManager) {
 					return ((EnginesManager)element).getEnginesType().name();
 				} else {
-					return "error";
+					return "error"; //$NON-NLS-1$
 				}
 			}
 		});
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMEditorSWTDebugView.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMEditorSWTDebugView.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/debug/TXMEditorSWTDebugView.java	(revision 3849)
@@ -164,7 +164,7 @@
 		treeViewer.getTree().setLinesVisible(true);
 
 		nameColumn = new TreeViewerColumn(treeViewer, SWT.NONE);
-		nameColumn.getColumn().setText("Element");
+		nameColumn.getColumn().setText("Element"); //$NON-NLS-1$
 		nameColumn.getColumn().pack();
 		nameColumn.setLabelProvider(new CellLabelProvider() {
 			@Override
@@ -174,17 +174,17 @@
 				if (element instanceof GLComposite) {
 					GLComposite c = (GLComposite)element;
 					String s = c.getName();
-					if (isHighlighted(c)) s += "*";
+					if (isHighlighted(c)) s += "*"; //$NON-NLS-1$
 					cell.setText(s);
 				} else if(element instanceof Button) {
 					Button c = (Button) element;
-					cell.setText(c.getClass().getSimpleName()+" '"+c.getText()+"'");
+					cell.setText(c.getClass().getSimpleName()+" '"+c.getText()+"'"); //$NON-NLS-1$ //$NON-NLS-2$
 				} else if(element instanceof Label) {
 					Label c = (Label) element;
-					cell.setText(c.getClass().getSimpleName()+" '"+c.getText()+"'");
+					cell.setText(c.getClass().getSimpleName()+" '"+c.getText()+"'"); //$NON-NLS-1$ //$NON-NLS-2$
 				} else if(element instanceof Spinner) {
 					Spinner c = (Spinner) element;
-					cell.setText(c.getClass().getSimpleName()+" '"+c.getSelection()+"'\n\tmin="+c.getMinimum()+" max="+c.getMaximum());
+					cell.setText(c.getClass().getSimpleName()+" '"+c.getSelection()+"'\n\tmin="+c.getMinimum()+" max="+c.getMaximum()); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 				} else {
 					cell.setText(element.getClass().getSimpleName());
 				}
@@ -255,7 +255,7 @@
 		});
 
 		layoutColumn = new TreeViewerColumn(treeViewer, SWT.NONE);
-		layoutColumn.getColumn().setText("Layout");
+		layoutColumn.getColumn().setText("Layout"); //$NON-NLS-1$
 		layoutColumn.getColumn().pack();
 		layoutColumn.setLabelProvider(new CellLabelProvider() {
 			@Override
@@ -266,13 +266,13 @@
 					String s = getLayoutDetails(((Composite)element).getLayout());
 					cell.setText(s);
 				} else {
-					cell.setText("-");
+					cell.setText("-"); //$NON-NLS-1$
 				}
 			}
 		});
 
 		layoutDataColumn = new TreeViewerColumn(treeViewer, SWT.NONE);
-		layoutDataColumn.getColumn().setText("L-data");
+		layoutDataColumn.getColumn().setText("L-data"); //$NON-NLS-1$
 		layoutDataColumn.getColumn().pack();
 		layoutDataColumn.setLabelProvider(new CellLabelProvider() {
 			@Override
@@ -283,31 +283,31 @@
 					String s = getLayoutDataDetails(((Control)element).getLayoutData());
 					cell.setText(s);
 				}else {
-					cell.setText("-");
+					cell.setText("-"); //$NON-NLS-1$
 				}
 			}
 		});	
 
 	}
 	protected String getLayoutDataDetails(Object layoutData) {
-		if (layoutData == null) return "no layout data";
+		if (layoutData == null) return "no layout data"; //$NON-NLS-1$
 
 		if (layoutData instanceof GridData) {
 			GridData data = (GridData)layoutData;
-			return "GD: heightHint="+data.heightHint+" widthHint="+data.widthHint
-					+"\n horizontalAlignment="+data.horizontalAlignment+" horizontalIndent="+data.horizontalIndent+" horizontalSpan="+data.horizontalSpan
-					+"\n minimumHeight="+data.minimumHeight+" minimumWidth="+data.minimumWidth
-					+"\n verticalAlignment="+data.verticalAlignment+" verticalIndent="+data.verticalIndent+" verticalSpan="+data.verticalSpan;
+			return "GD: heightHint="+data.heightHint+" widthHint="+data.widthHint //$NON-NLS-1$ //$NON-NLS-2$
+					+"\n horizontalAlignment="+data.horizontalAlignment+" horizontalIndent="+data.horizontalIndent+" horizontalSpan="+data.horizontalSpan //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+					+"\n minimumHeight="+data.minimumHeight+" minimumWidth="+data.minimumWidth //$NON-NLS-1$ //$NON-NLS-2$
+					+"\n verticalAlignment="+data.verticalAlignment+" verticalIndent="+data.verticalIndent+" verticalSpan="+data.verticalSpan; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		} else if (layoutData instanceof TableWrapData) {
 			TableWrapData data = (TableWrapData)layoutData;
-			return "TWD: heightHint="+data.heightHint+" align="+data.align
-					+"\n colspan="+data.colspan+" heightHint="+data.heightHint+" indent="+data.indent
-					+"\n maxHeight="+data.maxHeight+" maxWidth="+data.maxWidth
-					+"\n rowspan="+data.rowspan+" valign="+data.valign+" grabHorizontal="+data.grabHorizontal+" grabVertical="+data.grabVertical;
+			return "TWD: heightHint="+data.heightHint+" align="+data.align //$NON-NLS-1$ //$NON-NLS-2$
+					+"\n colspan="+data.colspan+" heightHint="+data.heightHint+" indent="+data.indent //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+					+"\n maxHeight="+data.maxHeight+" maxWidth="+data.maxWidth //$NON-NLS-1$ //$NON-NLS-2$
+					+"\n rowspan="+data.rowspan+" valign="+data.valign+" grabHorizontal="+data.grabHorizontal+" grabVertical="+data.grabVertical; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		} else if (layoutData instanceof FormData) {
 			FormData data = (FormData)layoutData;
-			return "FD: height="+data.height+" width="+data.width
-					+"\n bottom="+data.bottom+" left="+data.left+" right="+data.right+" top="+data.top;
+			return "FD: height="+data.height+" width="+data.width //$NON-NLS-1$ //$NON-NLS-2$
+					+"\n bottom="+data.bottom+" left="+data.left+" right="+data.right+" top="+data.top; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 		}
 		return layoutData.toString();
 	}
@@ -331,19 +331,19 @@
 	}
 
 	public static String getLayoutDetails(Layout layout) {
-		if (layout == null) return "no layout";
+		if (layout == null) return "no layout"; //$NON-NLS-1$
 
 		if (layout instanceof GridLayout) {
 			GridLayout gl = (GridLayout)layout;
-			return "GL: "+gl.horizontalSpacing+" "+gl.verticalSpacing+" "+gl.marginHeight+" "+gl.marginWidth
-					+"\n "+gl.marginBottom+" "+gl.marginLeft+" "+gl.marginRight+" "+gl.marginTop
-					+"\n "+gl.numColumns+" "+gl.makeColumnsEqualWidth;
+			return "GL: "+gl.horizontalSpacing+" "+gl.verticalSpacing+" "+gl.marginHeight+" "+gl.marginWidth //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+					+"\n "+gl.marginBottom+" "+gl.marginLeft+" "+gl.marginRight+" "+gl.marginTop //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
+					+"\n "+gl.numColumns+" "+gl.makeColumnsEqualWidth; //$NON-NLS-1$ //$NON-NLS-2$
 
 		} else if (layout instanceof FormLayout) {
 			FormLayout gl = (FormLayout)layout;
-			return "FL: marginBottom="+gl.marginBottom+" marginHeight="+gl.marginHeight+" marginWidth="+gl.marginWidth
-					+"\n marginLeft="+gl.marginLeft+" marginRight="+gl.marginRight+" marginTop="+gl.marginTop
-					+"\n spacing="+gl.spacing;
+			return "FL: marginBottom="+gl.marginBottom+" marginHeight="+gl.marginHeight+" marginWidth="+gl.marginWidth //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+					+"\n marginLeft="+gl.marginLeft+" marginRight="+gl.marginRight+" marginTop="+gl.marginTop //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+					+"\n spacing="+gl.spacing; //$NON-NLS-1$
 
 		} else {
 			return layout.toString();
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/cmdparameters/TXMResultParametersView.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/cmdparameters/TXMResultParametersView.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/cmdparameters/TXMResultParametersView.java	(revision 3849)
@@ -431,10 +431,10 @@
 				Label l2 = new Label(panel, SWT.NONE);
 				if (value != null) {
 					TypeVariable<?>[] pp = value.getClass().getTypeParameters();
-					l2.setText(clazz.getSimpleName() + "=" + value);
+					l2.setText(clazz.getSimpleName() + "=" + value); //$NON-NLS-1$
 				}
 				else {
-					l2.setText(clazz.getSimpleName() + "=" + value);
+					l2.setText(clazz.getSimpleName() + "=" + value); //$NON-NLS-1$
 				}
 				c = l2;
 			}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/BasesView.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/BasesView.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/BasesView.java	(revision 3849)
@@ -141,7 +141,7 @@
 				TreeSelection selection = (TreeSelection) tv.getSelection();
 				if (selection.getFirstElement() instanceof CQPCorpus) {
 					CQPCorpus corpus = (CQPCorpus) selection.getFirstElement();
-					File selectedItem = new File(corpus.getProjectDirectory(), "cqp/" + corpus.getID() + ".cqp");
+					File selectedItem = new File(corpus.getProjectDirectory(), "cqp/" + corpus.getID() + ".cqp"); //$NON-NLS-1$ //$NON-NLS-2$
 					if (selectedItem.exists())
 						EditFile.openfile(selectedItem.getAbsolutePath());
 				}
@@ -217,7 +217,7 @@
 		public String getText(Object element) {
 			String title = ((TXMResult) element).getName();
 			if (title.length() > 41) { // limit text length
-				title = title.substring(0, 40) + "...";
+				title = title.substring(0, 40) + "..."; //$NON-NLS-1$
 			}
 			return title;
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroExplorer.java	(revision 3849)
@@ -274,7 +274,7 @@
 					IWorkbenchWindow acWindow = TXMWindows.getActiveWindow();
 					IWorkbenchPart page = acWindow.getActivePage().getActivePart();
 					
-					if (selectedItem.getName().toLowerCase().endsWith(".groovy")) {
+					if (selectedItem.getName().toLowerCase().endsWith(".groovy")) { //$NON-NLS-1$
 						ExecuteGroovyMacro.execute(selectedItem.getAbsolutePath(), page, selection, null, null, null);
 					}
 					else {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroTreeLabelProvider.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroTreeLabelProvider.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/views/fileexplorer/MacroTreeLabelProvider.java	(revision 3849)
@@ -108,12 +108,12 @@
 		File f = ((File) element);
 		ImageDescriptor imageDescriptor = null;
 		if (f.isFile()) {
-			if (f.getName().endsWith("Macro.groovy")) {
+			if (f.getName().endsWith("Macro.groovy")) { //$NON-NLS-1$
 				imageDescriptor = AbstractUIPlugin
 						.imageDescriptorFromPlugin(Application.PLUGIN_ID,
 								IImageKeys.SCRIPT_RUN);
 			}
-			else if (f.getName().endsWith(".groovy")) {
+			else if (f.getName().endsWith(".groovy")) { //$NON-NLS-1$
 				imageDescriptor = AbstractUIPlugin
 						.imageDescriptorFromPlugin(Application.PLUGIN_ID,
 								IImageKeys.SCRIPT);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommandDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommandDialog.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/export/ExportCommandDialog.java	(revision 3849)
@@ -83,7 +83,7 @@
 		if (previousPath == null || previousPath.length() == 0) {
 			previousPath = System.getProperty("user.home"); // //$NON-NLS-1$
 		}
-		textField.setText(previousPath + "/" + result.getProject().getName().toUpperCase() + "-" +result.getResultType() + "-" +result.getValidFileName() + "-"+ Toolbox.dateformat.format(Calendar.getInstance().getTime()) + ".txmcmd"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+		textField.setText(previousPath + "/" + result.getProject().getName().toUpperCase() + "-" +result.getResultType() + "-" +result.getValidFileName() + "-"+ Toolbox.dateformat.format(Calendar.getInstance().getTime()) + ".txmcmd"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 		
 		selectButton = new Button(comp, SWT.PUSH);
 		selectButton.setText("..."); //$NON-NLS-1$
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyMacro.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyMacro.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyMacro.java	(revision 3849)
@@ -67,7 +67,7 @@
 	public Object execute(ExecutionEvent event) throws ExecutionException {
 
 		String filenameParameter = event.getParameter("org.txm.rcp.command.parameter.file"); //$NON-NLS-1$
-		List<String> stringArgs = Arrays.asList(event.getParameter("args").split("\t")); //$NON-NLS-1$
+		List<String> stringArgs = Arrays.asList(event.getParameter("args").split("\t")); //$NON-NLS-1$ //$NON-NLS-2$
 		
 		// the file to execute
 		String result = ""; //$NON-NLS-1$
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/handlers/scripts/ExecuteGroovyScript.java	(revision 3849)
@@ -164,8 +164,8 @@
 		//		
 		String scriptRootDir = Toolbox.getTxmHomePath() + "/scripts"; //$NON-NLS-1$
 		File currentRootDir = new File(scriptRootDir, "groovy/user"); //$NON-NLS-1$
-		if (stringArgs == null) stringArgs = "";
-		return executeScript(currentRootDir, scriptpath, page, selection, modal, Arrays.asList(stringArgs.split("\t")), null, null);
+		if (stringArgs == null) stringArgs = ""; //$NON-NLS-1$
+		return executeScript(currentRootDir, scriptpath, page, selection, modal, Arrays.asList(stringArgs.split("\t")), null, null); //$NON-NLS-1$
 	}
 
 	/**
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/LanguageSwitchHandler.java	(revision 3849)
@@ -90,7 +90,7 @@
 		values.add("ru"); //$NON-NLS-1$
 		
 		if (!values.contains(locale)) { // set selected locale
-			locale = "en";
+			locale = "en"; //$NON-NLS-1$
 		}
 		
 		ComboDialog d = new ComboDialog(shell, TXMUIMessages.chooseTheLanguage, values, locale);
@@ -312,8 +312,8 @@
 		
 		String txt;
 		try {
-			txt = IOUtils.getText(file, "UTF-8");
-			return txt.contains("osgi.nl=" + locale);
+			txt = IOUtils.getText(file, "UTF-8"); //$NON-NLS-1$
+			return txt.contains("osgi.nl=" + locale); //$NON-NLS-1$
 		}
 		catch (IOException e) {
 			e.printStackTrace();
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/URLUtils.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/URLUtils.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/URLUtils.java	(revision 3849)
@@ -11,10 +11,10 @@
 	@SuppressWarnings("deprecation")
 	public static String encodeURL(String url) {
 		StringBuilder buffer = new StringBuilder();
-		int begin = url.indexOf(":/");
+		int begin = url.indexOf(":/"); //$NON-NLS-1$
 		buffer.append(url.substring(0, begin+2));
 		url = url.substring(begin+2);
-		String[] split = url.split("/");
+		String[] split = url.split("/"); //$NON-NLS-1$
 		String[] ps = new String[split.length];
 		for (int i = 0 ; i < split.length ; i++) {
 			if (split[i].length() > 0) {
@@ -23,7 +23,7 @@
 				ps[i] = split[i];
 			}
 		}
-		buffer.append(StringUtils.join(ps, "/"));
+		buffer.append(StringUtils.join(ps, "/")); //$NON-NLS-1$
 		return buffer.toString();
 	}
 	
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/utils/JobHandler.java	(revision 3849)
@@ -101,7 +101,7 @@
 		// this.setRule(RULE);
 	}
 	
-	final static public String TXM_FAMILY = "TXM";
+	final static public String TXM_FAMILY = "TXM"; //$NON-NLS-1$
 	
 	@Override
 	public boolean belongsTo(Object family) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/preferences/RCPPreferences.java	(revision 3849)
@@ -34,7 +34,7 @@
 	/** The Constant USER_ALERT_DELETE. */
 	public static final String USER_ALERT_DELETE = "user_alert_delete"; //$NON-NLS-1$
 	
-	public static final String MAX_NUMBER_OF_COLUMNS = "max_number_of_columns";
+	public static final String MAX_NUMBER_OF_COLUMNS = "max_number_of_columns"; //$NON-NLS-1$
 	
 	/**
 	 * To auto compute result and refresh editor when a form computing parameter is modified.
@@ -74,7 +74,7 @@
 	
 	public static final String CGU = "cgu"; //$NON-NLS-1$
 
-	public static String DISABLE_TEST_WARNING = "no_test_warning";
+	public static String DISABLE_TEST_WARNING = "no_test_warning"; //$NON-NLS-1$
 	
 	
 	@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/IImageKeys.java	(revision 3849)
@@ -271,7 +271,7 @@
 
 	public static final String HOME =  "icons/home.png"; //$NON-NLS-1$ ;
 
-	public static final String WORKSITE = "icons/worksite.png";
+	public static final String WORKSITE = "icons/worksite.png"; //$NON-NLS-1$
 	
 	/**
 	 * Gets the image.
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TableKeyListener.java	(revision 3849)
@@ -144,7 +144,7 @@
 				nWritten++;
 			}
 		}
-		str.append("\n");
+		str.append("\n"); //$NON-NLS-1$
 		
 		
 		for (int l = 0; l < viewers[0].getTable().getSelection().length; l++) { // for each line
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/ImportFormEditor.java	(revision 3849)
@@ -141,8 +141,8 @@
 		if (f != null) {
 			String filepath = f.getPath();
 			String importName = new File(txmhome, filepath).getName();
-			if (importName.indexOf("Loader.groovy") > 0) {
-				importName = importName.substring(0, importName.indexOf("Loader.groovy"));
+			if (importName.indexOf("Loader.groovy") > 0) { //$NON-NLS-1$
+				importName = importName.substring(0, importName.indexOf("Loader.groovy")); //$NON-NLS-1$
 			}
 			this.setImportName(importName);
 		} else { // use the corpora view selection
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/InfosSection.java	(revision 3849)
@@ -72,7 +72,7 @@
 		if (project.getSrcdir().exists()) {
 			section.setText(NLS.bind(TXMUIMessages.descriptionOfTheP0CorpusP1, project.getName(), project.getSrcdir()));
 		} else {
-			section.setText(NLS.bind(TXMUIMessages.descriptionOfTheP0CorpusP1, project.getName(), "..."));
+			section.setText(NLS.bind(TXMUIMessages.descriptionOfTheP0CorpusP1, project.getName(), "...")); //$NON-NLS-1$
 		}
 		
 		String descContent = project.getDescription();
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/imports/sections/TextualPlansSection.java	(revision 3849)
@@ -68,7 +68,7 @@
 	@Override
 	public void updateFields(Project project) {
 		if (this.section != null && !section.isDisposed()) {
-			outsideTextElementsText.setText(project.getTextualPlan("OutSideTextTags", "teiHeader")); //$NON-NLS-1$
+			outsideTextElementsText.setText(project.getTextualPlan("OutSideTextTags", "teiHeader")); //$NON-NLS-1$ //$NON-NLS-2$
 			outsideTextElementsToEditText.setText(project.getTextualPlan("OutSideTextTagsAndKeepContent")); //$NON-NLS-1$
 		}
 	}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMEditor.java	(revision 3849)
@@ -1231,7 +1231,7 @@
 		if (title.length() > MAX_NAME_LENGTH) {
 			title = title.substring(0, MAX_NAME_LENGTH - 1) + "..."; //$NON-NLS-1$
 		}
-		this.setPartName(title.replace("\n", " ")); // avoid multi-line tab names 
+		this.setPartName(title.replace("\n", " ")); // avoid multi-line tab names  //$NON-NLS-1$ //$NON-NLS-2$
 		// this.firePropertyChange(TXMEditor.PROP_DIRTY);
 		
 		// MD: commented 'if (!update) {...}'
@@ -1501,7 +1501,7 @@
 						f.set(this, value);
 					}
 					catch (Exception e) {
-						Log.fine(TXMCoreMessages.bind("Warning: can't assignate new value={0} to editor member={1} which have current value={2}.", value, f, object)); //$NON-NLS-1$
+						Log.fine(""); //$NON-NLS-1$
 					}
 				}
 				
@@ -1652,7 +1652,7 @@
 						value = s;
 					} else if (clazz.equals(List.class)) {
 						if (!s.isEmpty()) {
-							value = new ArrayList<>(Arrays.asList(s.split(",")));
+							value = new ArrayList<>(Arrays.asList(s.split(","))); //$NON-NLS-1$
 						} else {
 							value = new ArrayList<>();
 						}
@@ -1665,7 +1665,7 @@
 					String[] s = l.getSelection();
 					Class<?> clazz = targetField.getType();
 					if (clazz.equals(String.class)) {
-						value = StringUtils.join(s, ", ");
+						value = StringUtils.join(s, ", "); //$NON-NLS-1$
 					} else if (clazz.equals(List.class)) {
 						value = new ArrayList<>(Arrays.asList(s));
 					}
@@ -2328,7 +2328,7 @@
 					f.set(bean, value);
 				}
 				catch (Exception e) {
-					Log.fine(TXMCoreMessages.bind("Warning: can't assignate new value={0} to editor member={1} which have current value={2}.", value, f, object)); //$NON-NLS-1$
+					Log.fine(""); //$NON-NLS-1$
 				}
 			}
 			
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/menu/PagePropertiesMenu.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/menu/PagePropertiesMenu.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/menu/PagePropertiesMenu.java	(revision 3849)
@@ -28,8 +28,8 @@
 			public void widgetSelected(SelectionEvent e) {
 				try {
 					String url = browser.getUrl();
-					if (url.startsWith("http://") || url.startsWith("https://")) {
-						System.out.println("URL="+url);
+					if (url.startsWith("http://") || url.startsWith("https://")) { //$NON-NLS-1$ //$NON-NLS-2$
+						System.out.println("URL="+url); //$NON-NLS-1$
 					} else {
 						ShowSelected.print(Paths.get(new URL(url).toURI()).toFile());
 					}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMResultEditorInput.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMResultEditorInput.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/editors/TXMResultEditorInput.java	(revision 3849)
@@ -60,7 +60,7 @@
 	@Override
 	public String getName()	{
 		try {
-			return this.result.getName().replace("\n", " ");
+			return this.result.getName().replace("\n", " "); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		catch(Exception e) {
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/MultipleSelectionCombo.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/MultipleSelectionCombo.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/MultipleSelectionCombo.java	(revision 3849)
@@ -118,12 +118,12 @@
 			StringBuffer sb = new StringBuffer();
 			for (int i = 0; i < comboSelection.length; i++) {
 				if (i > 0)
-					sb.append(",");
+					sb.append(","); //$NON-NLS-1$
 				sb.append(comboItems[comboSelection[i]]);
 			}
 			displayText.setText(sb.toString());
 		} else {
-			displayText.setText("");
+			displayText.setText(""); //$NON-NLS-1$
 		}
 	}
 	public void setText(String text) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/DateField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/DateField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/DateField.java	(revision 3849)
@@ -12,7 +12,7 @@
 
 public class DateField extends LabelField {
 	DateTime dt;
-	public static String STRINGFORMAT = "yyyy-MM-dd";
+	public static String STRINGFORMAT = "yyyy-MM-dd"; //$NON-NLS-1$
 	public static SimpleDateFormat formater = new SimpleDateFormat(STRINGFORMAT); //$NON-NLS-1$
 	public DateField(Composite parent, int style, NamedOptionDef parameter) {
 		super(parent, style, parameter);
@@ -53,7 +53,7 @@
 				dt.setMonth(date.getMonth());
 				dt.setDay(date.getDay());
 			} catch(Exception e) {
-				System.out.println("Failed to set default value with: "+getWidgetDefault()+": "+e);
+				System.out.println("Failed to set default value with: "+getWidgetDefault()+": "+e); //$NON-NLS-2$
 				org.txm.utils.logger.Log.printStackTrace(e);
 			}
 		}
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/BooleanField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/BooleanField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/BooleanField.java	(revision 3849)
@@ -30,7 +30,7 @@
 	}
 	
 	public void setDefault(Object text) {
-		dt.setSelection("true".equals(text));
+		dt.setSelection("true".equals(text)); //$NON-NLS-1$
 	}
 
 	@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FileField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FileField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FileField.java	(revision 3849)
@@ -59,7 +59,7 @@
 	
 	
 	public void setDefault(Object text) {
-		t.setText(""+text);
+		t.setText(""+text); //$NON-NLS-1$
 	}
 
 	@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/CospusStructuresField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/CospusStructuresField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/CospusStructuresField.java	(revision 3849)
@@ -38,7 +38,7 @@
 				l = new ArrayList<StructuralUnit>(c.getOrderedStructuralUnits());
 				for (int i = 0 ; i < l.size() ; i++) {
 					String name = l.get(i).getName();
-					if ("text".equals(name) || "txmcorpus".equals(name)) {
+					if ("text".equals(name) || "txmcorpus".equals(name)) { //$NON-NLS-1$ //$NON-NLS-2$
 						l.remove(i);
 						i--;
 					}
@@ -68,7 +68,7 @@
 	}
 
 	public void setDefault(Object text) {
-		dt.setText(""+text);
+		dt.setText(""+text); //$NON-NLS-1$
 	}
 
 	@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/StringArrayMultipleField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/StringArrayMultipleField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/StringArrayMultipleField.java	(revision 3849)
@@ -12,7 +12,7 @@
 	public StringArrayMultipleField(Composite parent, int style, NamedOptionDef parameter) {
 		super(parent, style, parameter);
 
-		String[] values = getMetaVar().trim().split("\t");
+		String[] values = getMetaVar().trim().split("\t"); //$NON-NLS-1$
 		int[] selection = {};
 		dt = new MultipleSelectionCombo(this, values, selection, SWT.NONE);
 		dt.setLayoutData(new GridData(SWT.FILL, SWT.LEFT, true, false));
@@ -29,9 +29,9 @@
 	public void setDefault(Object text) {
 		if (text instanceof Object[]) {
 			Object[] array = (Object[]) text;
-			dt.setText(StringUtils.join(array, "\t"));
+			dt.setText(StringUtils.join(array, "\t")); //$NON-NLS-1$
 		} else {
-			dt.setText(""+text);
+			dt.setText(""+text); //$NON-NLS-1$
 		}
 	}
 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/LongStringField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/LongStringField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/LongStringField.java	(revision 3849)
@@ -37,7 +37,7 @@
 
 	@Override
 	public void setDefault(Object value) {
-		dt.setText(""+value);
+		dt.setText(""+value); //$NON-NLS-1$
 	}
 
 	@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/IntegerField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/IntegerField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/IntegerField.java	(revision 3849)
@@ -25,9 +25,9 @@
 	
 	public void setDefault(Object text) {
 		try {
-			dt.setSelection(Integer.parseInt(""+text));
+			dt.setSelection(Integer.parseInt(""+text)); //$NON-NLS-1$
 		} catch(Exception e) {
-			System.out.println("Cannot set IntegerField with default properties value="+text+": "+e);
+			System.out.println("Cannot set IntegerField with default properties value="+text+": "+e); //$NON-NLS-2$
 		}
 	}
 
@@ -37,7 +37,7 @@
 			try {
 				dt.setSelection(Integer.parseInt(getWidgetDefault()));
 			} catch (Exception e) {
-				System.out.println("Cannot set IntegerField with default value="+getWidgetDefault()+": "+e);
+				System.out.println("Cannot set IntegerField with default value="+getWidgetDefault()+": "+e); //$NON-NLS-2$
 			}
 		}  else {
 			dt.setSelection(0);
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FilesField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FilesField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FilesField.java	(revision 3849)
@@ -37,7 +37,7 @@
 				FileDialog d = new FileDialog(FilesField.this.getShell(), SWT.MULTI);
 				
 				if (parameter.metaVar() != null) {
-					d.setFilterExtensions(parameter.metaVar().split(","));
+					d.setFilterExtensions(parameter.metaVar().split(",")); //$NON-NLS-1$
 				}
 				
 				try {
@@ -52,7 +52,7 @@
 				
 				value = d.open();
 				String p = d.getFilterPath();
-				if (value != null) t.setText(p+"/"+StringUtils.join(d.getFileNames(), File.pathSeparator+p+"/"));
+				if (value != null) t.setText(p+"/"+StringUtils.join(d.getFileNames(), File.pathSeparator+p+"/")); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 		});
 	}
@@ -77,7 +77,7 @@
 		if (text instanceof File[]) {
 			t.setText(StringUtils.join((File[]) text, File.pathSeparator));
 		} else {
-			t.setText(""+text);
+			t.setText(""+text); //$NON-NLS-1$
 		}
 	}
 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/AtestClass.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/AtestClass.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/AtestClass.java	(revision 3849)
@@ -41,6 +41,6 @@
 	
 	@Override
 	public String toString() {
-		return "file=" + file + " dir=" + dir + " ii=" + ii;
+		return "file=" + file + " dir=" + dir + " ii=" + ii; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 	}
 }
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/PasswordField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/PasswordField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/PasswordField.java	(revision 3849)
@@ -21,7 +21,7 @@
 	}
 
 	public void setDefault(Object text) {
-		dt.setText(""+text);
+		dt.setText(""+text); //$NON-NLS-1$
 	}
 
 	@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/CreateFileField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/CreateFileField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/CreateFileField.java	(revision 3849)
@@ -57,7 +57,7 @@
 	}
 	
 	public void setDefault(Object text) {
-		t.setText(""+text);
+		t.setText(""+text); //$NON-NLS-1$
 	}
 
 	@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FloatField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FloatField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FloatField.java	(revision 3849)
@@ -30,7 +30,7 @@
 	
 	
 	public void setDefault(Object text) {
-		dt.setText(""+text);
+		dt.setText(""+text); //$NON-NLS-1$
 	}
 
 	@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersGLComposite.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersGLComposite.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/ParametersGLComposite.java	(revision 3849)
@@ -98,7 +98,7 @@
 			widgets.clear();
 		}
 		
-		columns = new GLComposite(this, SWT.NONE, "columns");
+		columns = new GLComposite(this, SWT.NONE, "columns"); //$NON-NLS-1$
 		columns.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, true));
 		columns.getLayout().numColumns = 1;
 		
@@ -119,7 +119,7 @@
 			}
 			
 			// count number of mandatory fields set AND add exception for "Separator" widget types
-			if (option.required() || "Separator".equals(option.widget())) numberOfMandatoryFields++;
+			if (option.required() || "Separator".equals(option.widget())) numberOfMandatoryFields++; //$NON-NLS-1$
 			numberOfParameters++;
 		}
 		
@@ -129,7 +129,7 @@
 			columns.getLayout().numColumns = 1 + (numberOfParameters / MAX_PARAMETERS_PER_LINE);
 		}
 		
-		GLComposite column = new GLComposite(columns, SWT.NONE, "column");
+		GLComposite column = new GLComposite(columns, SWT.NONE, "column"); //$NON-NLS-1$
 		GridData gdata = new GridData(SWT.FILL, SWT.FILL, true, true);
 		gdata.minimumWidth = 200;
 		column.setLayoutData(gdata);
@@ -140,7 +140,7 @@
 		for (NamedOptionDef option : manager.getParameters().values()) {
 			n++;
 			if (n % MAX_PARAMETERS_PER_LINE == 0) {
-				column = new GLComposite(columns, SWT.NONE, "column");
+				column = new GLComposite(columns, SWT.NONE, "column"); //$NON-NLS-1$
 				gdata = new GridData(SWT.FILL, SWT.FILL, true, true);
 				gdata.minimumWidth = 200;
 				column.setLayoutData(gdata);
@@ -150,12 +150,12 @@
 			// each widget is initialized with de default value set in @Field@def attribute
 			String widgetName = option.widget();
 			ParameterField widget = null;
-			if ("File".equals(widgetName) || "FileOpen".equals(widgetName)) { //$NON-NLS-1$
+			if ("File".equals(widgetName) || "FileOpen".equals(widgetName)) { //$NON-NLS-1$ //$NON-NLS-2$
 				widget = new FileField(column, SWT.NONE, option);
-			} else if ("Files".equals(widgetName) || "FilesOpen".equals(widgetName)) { //$NON-NLS-1$
+			} else if ("Files".equals(widgetName) || "FilesOpen".equals(widgetName)) { //$NON-NLS-1$ //$NON-NLS-2$
 				widget = new FilesField(column, SWT.NONE, option);
 			}
-			else if ("CreateFile".equals(widgetName) || "FileSave".equals(widgetName)) { //$NON-NLS-1$
+			else if ("CreateFile".equals(widgetName) || "FileSave".equals(widgetName)) { //$NON-NLS-1$ //$NON-NLS-2$
 				widget = new CreateFileField(column, SWT.NONE, option);
 			}
 			else if ("Folder".equals(widgetName)) { //$NON-NLS-1$
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/QueryField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/QueryField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/QueryField.java	(revision 3849)
@@ -38,7 +38,7 @@
 
 	@Override
 	public void setDefault(Object value) {
-		w.setText(""+value);
+		w.setText(""+value); //$NON-NLS-1$
 	}
 
 	@Override
@@ -50,7 +50,7 @@
 				org.txm.utils.logger.Log.printStackTrace(e);
 			}
 		} else {
-			w.setText("");
+			w.setText(""); //$NON-NLS-1$
 		}
 	}
 }
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/StringArrayField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/StringArrayField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/StringArrayField.java	(revision 3849)
@@ -15,7 +15,7 @@
 		dt = new Combo(this, SWT.SINGLE | SWT.BORDER | SWT.READ_ONLY);
 		dt.setLayoutData(new GridData(SWT.FILL, SWT.LEFT, true, false));
 		
-		String[] values = getMetaVar().trim().split("\t");
+		String[] values = getMetaVar().trim().split("\t"); //$NON-NLS-1$
 		dt.setItems(values);
 		
 		resetToDefault();
@@ -28,9 +28,9 @@
 	public void setDefault(Object text) {
 		if (text instanceof Object[]) {
 			Object[] array = (Object[]) text;
-			dt.setText(StringUtils.join(array, "\t"));
+			dt.setText(StringUtils.join(array, "\t")); //$NON-NLS-1$
 		} else {
-			dt.setText(""+text);
+			dt.setText(""+text); //$NON-NLS-1$
 		}
 	}
 
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/StringField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/StringField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/StringField.java	(revision 3849)
@@ -26,7 +26,7 @@
 	}
 
 	public void setDefault(Object text) {
-		dt.setText(""+text);
+		dt.setText(""+text); //$NON-NLS-1$
 	}
 
 	@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FolderField.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FolderField.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/parameters/FolderField.java	(revision 3849)
@@ -48,7 +48,7 @@
 	
 	
 	public void setDefault(Object text) {
-		t.setText(""+text);
+		t.setText(""+text); //$NON-NLS-1$
 	}
 
 	@Override
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/CustomThresholdsGroup.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/CustomThresholdsGroup.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/CustomThresholdsGroup.java	(revision 3849)
@@ -27,9 +27,9 @@
  */
 public class CustomThresholdsGroup extends Group {
 	
-	public static final String F = "F";
-	public static final String V = "V";
-	public static final String S = "S";
+	public static final String F = "F"; //$NON-NLS-1$
+	public static final String V = "V"; //$NON-NLS-1$
+	public static final String S = "S"; //$NON-NLS-1$
 	
 	TXMEditor<? extends TXMResult> editor;
 	LinkedHashMap<String, ThresholdField> fields;
@@ -155,7 +155,7 @@
 			if (c.showMin && !c.showMax) {
 				Label l = new Label(this, SWT.NONE);
 				l.setLayoutData(new GridData());
-				l.setText(c.name+" ≤ ");
+				l.setText(c.name+" ≤ "); //$NON-NLS-1$
 			}
 			
 			if (c.showMin) {
@@ -179,13 +179,13 @@
 			if (c.showMin && c.showMax) {
 				Label l = new Label(this, SWT.NONE);
 				l.setLayoutData(new GridData());
-				l.setText(" ≤ "+c.name+" ≤ ");
+				l.setText(" ≤ "+c.name+" ≤ "); //$NON-NLS-1$ //$NON-NLS-2$
 			}
 			
 			if (!c.showMin && c.showMax) {
 				Label l = new Label(this, SWT.NONE);
 				l.setLayoutData(new GridData());
-				l.setText(c.name+" ≤ ");
+				l.setText(c.name+" ≤ "); //$NON-NLS-1$
 			}
 			
 			if (c.showMax) {
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ReferencePatternSelector.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ReferencePatternSelector.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/ReferencePatternSelector.java	(revision 3849)
@@ -27,8 +27,8 @@
 		
 		// "properties"
 		patternLabel = new Label(this, SWT.NONE);
-		patternLabel.setText("");
-		patternLabel.setToolTipText("");
+		patternLabel.setText(""); //$NON-NLS-1$
+		patternLabel.setToolTipText(""); //$NON-NLS-1$
 		patternLabel.setLayoutData(new GridData(SWT.RIGHT, SWT.CENTER, false, true));
 	}
 	
@@ -65,10 +65,10 @@
 	
 	protected void refreshLabel() {
 		if (pattern != null && pattern.length() > 0) {
-			this.patternLabel.setText("(" + pattern + ")");
+			this.patternLabel.setText("(" + pattern + ")"); //$NON-NLS-1$ //$NON-NLS-2$
 		}
 		else {
-			this.patternLabel.setText("");
+			this.patternLabel.setText(""); //$NON-NLS-1$
 		}
 	}
 	
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryOptionsDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryOptionsDialog.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/widget/QueryOptionsDialog.java	(revision 3849)
@@ -189,7 +189,7 @@
 			 */
 			@Override
 			public String getText(Object element) {
-				return element == null ? "" : ((SearchEngine)element).getName();
+				return element == null ? "" : ((SearchEngine)element).getName(); //$NON-NLS-1$
 			}
 
 		});
Index: TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java
===================================================================
--- TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java	(revision 3848)
+++ TXM/trunk/bundles/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/UpdateCorpusDialog.java	(revision 3849)
@@ -82,7 +82,7 @@
 		
 		if (corpora != null) {
 			
-			GLComposite line = new GLComposite(comp, SWT.NONE, "");
+			GLComposite line = new GLComposite(comp, SWT.NONE, ""); //$NON-NLS-1$
 			data = new GridData(GridData.FILL, GridData.FILL, true, false);
 			line.setLayoutData(data);
 			line.getLayout().numColumns = 1;
